Bug 472216 - qpidd - Cannot load content. Message not known to store! (MessageStoreImpl.cpp:961)
qpidd - Cannot load content. Message not known to store! (MessageStoreImpl.cp...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
high Severity high
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 08:02 EST by Frantisek Reznicek
Modified: 2015-11-15 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 12:41:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2008-11-19 08:02:49 EST
Description of problem:

I can see brand new issue

Cannot load content. Message not known to store! (MessageStoreImpl.cpp:961)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

This happenes on very last qpidd and rhm when trying to recover journal after broker killed.
rhm-0.3.2783-1.el5
qpidd-0.3.713378-1.el5

Details are in:
mrg3.lab.bos.redhat.com:/root/qpid_test_transaction_integrity_rhel5.2_x86_64_fails.tar.bz2

Observation is that qpidd exits with above mentioned message when trying to recover.

Version-Release number of selected component (if applicable):
rhm-0.3.2783-1.el5 and qpidd-0.3.713378-1.el5

How reproducible:
100% on packages rhm-0.3.2783-1.el5 and qpidd-0.3.713378-1.el5 (RHEL5.2 x86_64)

Steps to Reproduce:
1. run RHTS qpid_test_transaction_integrity test
  
Actual results:
quite a lot of 'Cannot load content. Message not known to store!' error occurrences

Expected results:
no error is expected

Additional info:
tested on RHEL5.2 x86_64
Linux dhcp-lab-200.englab.brq.redhat.com 2.6.18-92.el5xen #1 SMP Tue Apr 29 13:31:30 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Frantisek Reznicek 2009-02-17 07:20:40 EST
Re-tested long-term on RHEL 4.7 / 5.3 i386 / x86_64 on packages:
 qpidd-0.4.743861-1.el5,  rhm-0.4.3116-1.el5 and proved that issue has been
fixed.

->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.